function Inv=gaussel3(M)

m = size(M,1);
I = eye(m);  % m mret egysgmtrix
Mamp = [M,I];

for i=1:(m-1)
    Mamp=pivoteP(Mamp,i);                        
    
    Mamp(i+1:m,:) = Mamp(i+1:m,:) - ( Mamp(i+1:m,i)./Mamp(i,i) )* Mamp(i,:);
end

Inv = zeros(m);
for i=m:-1:1
   Inv(i,:) = ( Mamp(i,m+1:end) - Mamp(i,1:m)*Inv ) / Mamp(i,i);  
end

function Mamp=pivoteP(A,fila)
[M,F] = max( abs( A(fila:end,fila) ) );
if F>1
    A([F + fila - 1,fila],:) = A([fila,F + fila - 1],:);  
    Mamp = A;
else
    Mamp = A;
end