function [Q,R] = gramschmidt(A)
if size(A)~=rank(A)
    fprintf('Nem linerisan fggetlen!'); 
else
    [m,n] = size(A);
    for j = 1:n
       v = A(:,j);
       for i=1:j-1
            R(i,j) = Q(:,i)'*A(:,j);
            v = v - R(i,j)*Q(:,i);
       end
       R(j,j) = norm(v);
       Q(:,j) = v/R(j,j);
    end
    Q
    R
end