function [Q,R] = hhalg(A)
    [m,n] = size(A);
    V = eye(m);
    for k=1:min(m-1,n)
        ak = A(k:m,k);
        vk = ak; vk(1) = vk(1) + sign(ak(1))*norm(ak);
        vk = vk/norm(vk);
        A(k:m,k:n) = A(k:m,k:n) - 2*vk*(vk'*A(k:m,k:n));
        Q{k} = vk;
    end
    R = A;
end