function a = householder(a)

[x1,y1]=ginput(1)

[x2,y2]=ginput(1);
line(x1,y1);

[m,n]=size(a);
for i=1:n-2
        c=zeros(n,1);
        c(i+1:n)=a(i+1:m,i); 
        q=norm(c);
        b=zeros(n,1);
        if a(i+1,i)>=0,
            b(i+1)=-q; 
        else
            b(i+1)=q;
        end
        w=(c-b)/norm(c-b);
        Q=eye(n)-2*w*w';   
        a=Q*a*Q;
        a(i+2:n,i)=0; 
end

