function x = gaussseid(A, b)
    %Bemenet: A egyenletrendszer mtrixa, b jobboldal-vektor.
    %Kezdvektor a nullvektor.
    %Kimenet: x megoldsvektor. 
    n=size(A,1);
    x0=zeros(1,n);
    k_max=1000; % max. iterciszm
    erp=0.0001; % konvergenciavezrl-paramter
    q=diag(diag(A));
    for i=1:n
        s1=0.0;
        s2=0.0;
        if (i==1) continue
        else
            for j=1:i-1
                s1=s1+A(i,j)*x1(j);
            end
        end
        for j=i+1:4
            s2=s2+A(i,j)*x0(j);
        end
        x1(i)=(b(i)-s1-s2)/A(i,i);
    end
    
    % megolds
    x=x1;
    disp(x);
end