function [r] = intfel2(f,a,b,N,eps_step,eps_abs)
    if ( f(a) == 0 )
	r = a;
	return;
    elseif ( f(b) == 0 )
	r = b;
	return;
    elseif ( f(a) * f(b) > 0 )
        error('f(a) s f(b) eljelei nem klnbznek!' );
    end

    % Iterci n lpsben
    for k = 1:N
        % Kzppont megkeresse
        c = (a + b)/2;

        % Gykkeress, attl fggen, hogy tallunk-e, hasznljuk:
        % [a,c]-t ha f(a) s f(c) nem azonos eljelek, vagy
        % [c,b]-t ha f(c) s f(b) -,,- .

        if ( f(c) == 0 )
            r = c;
            return;
        elseif ( f(c)*f(a) < 0 )
            b = c;
        else
            a = c;
        end

        if ( b - a < eps_step )
            if ( abs( f(a) ) < abs( f(b) ) && abs( f(a) ) < eps_abs )
                r = a;
                return;
            elseif ( abs( f(b) ) < eps_abs )
                r = b;
                return;
            end
        end
    end

    error( 'a metdus nem konvergl' );
end