function F = lagrangeip(x,y,graf)

    L = length(x);
    if length(x)~=length(y)
       F = ' Error: x and y vectors must have same dimensions';
    elseif length(x)>10
       F = ' Error: number of elements <= 10';
    else
       for k = 1:L
           P(k) = coefficient(x,y,k);
       end
       F = sum(P);

       if graf==1
           plot(x,y,'ro','MarkerSize',10,'LineWidth',1.5), grid, hold on
           plot(x,subs(F,x),'LineWidth',1)
           xlabel('X'), ylabel('Y'), title('Lagrange Form')
       end
    end
    disp(F)
end