function y=lagrange(pointx,pointy)

n=size(pointx,2); % sorvektor mrete

x = linspace(0,n); 
L=ones(n,size(x,2)); %ahny eleme van sorvektornak annyi 1-est tartalmaz sorvektor

     

if (size(pointx,2)~=size(pointy,2))     %2 vektor mrete meg kell h egyezen
   fprintf(1,'\nERROR!\nA kt vektor mrete nem egyezik meg!\n');
   y=NaN;
else
    
    
    
    
   for k=1:n            %dupla ciklus 1 tl vektor mretig
      for l=1:n
         if (k~=l)           %mindig kivve tlban 
            L(k,:)=L(k,:).*(x-pointx(l))/(pointx(k)-pointx(l));      %interpolci
            fprintf(1,'I:%d \t\t J:%d \n',k,l); 
            fprintf(1,'L(k,:)=L(k,:).*(x-pointx(l))/(pointx(k)-pointx(l))\n');
            fprintf(1,'%f=%f.*(%f-%f)/(%f-%f)\n',L(k,:),L(k,:),x,pointx(l),pointx(k),pointx(l));
         end
      end
   end
   
   
   
   y=0;
   plot(L);
   for k=1:n
      y=y+pointy(k)*L(k,:);
   end
end
