function lnmaprox(x, y, m)

% x s y: koordintk
% m: approximcis polinom fokszma
n = size(x,1);
if n == 1
   n = size(x,2);
end

b = zeros(m+1,1);
for i = 1:n
   for j = 1:m+1
      b(j) = b(j) + y(i)*x(i)^(j-1);
   end
end


p = zeros(2*m+1,1);
for i = 1:n
   for j = 1:2*m+1
      %x hatvnyainak sszege
      p(j) = p(j) + x(i)^(j-1);
   end
end


for i = 1:m+1
   for j = 1:m+1
      A(i,j) = p(i+j-1);
   end
end

c = A\b

t = min(x):0.05:max(x);
n = size(t,2);
for i = 1:n
   f(i) = c(m+1);
   for j = m:-1:1
      f(i) = c(j) + f(i)*t(i);
   end
end

figure
plot(t,f)
hold on
plot(x, y, 'r*')
grid on
end