function [M] = affin1(a1,a2)
%tetszleges, origt fixen hagy affin transzformci mtrixa
%Bemen paramterek: a (0; 1) s (1; 0) pontok kpei a
%transzformciban.
%Visszatrsi rtk: a transzformci mtrixa.
    
    %      ([a]  [c])
    %affin1([b], [d])
    %
    % G = [a c]
    %     [b d]
    switch nargin
        case 2
            M = zeros(2);
            M(1,1) = a1(1);
            M(1,2) = a2(1);
            M(2,1) = a1(2);
            M(2,2) = a2(2);
        case 0
            line([-8,8],[0,0]);
            line([0,0],[-8,8]);
            [x,y] = ginput(2);
            M(1,1) = x(1);
            M(2,1) = y(1);
            M(1,2) = x(2);
            M(2,2) = y(2);
        otherwise
            disp('Hiba!');
    end
end