function mtx = affin2(p,q,r,P,Q,R)
if(nargin ~= 6)
    axis([0,100,0,100])
    hold on;
    fprintf('Rajzold meg az eredeti hromszget:\n');
    %vonalazs tengely mentn
    %for k=-5:5 %0:100
    %line([-10.1,10.1],[k,k]);  
    %end
    [p(1),p(2)] = ginput(1);
    %fprintf('koordintk: %f %f',p(1),p(2));
    plot(p(1),p(2),'o')
    [q(1),q(2)] = ginput(1);
    plot(q(1),q(2),'o')
    [r(1),r(2)] = ginput(1);
    plot(r(1),r(2),'o')
    
    line([p(1) q(1)],[p(2) q(2)],[1 1],'Marker','.','LineStyle','-')
    line([r(1) q(1)],[r(2) q(2)],[1 1],'Marker','.','LineStyle','-')
    line([r(1) p(1)],[r(2) p(2)],[1 1],'Marker','.','LineStyle','-')

    fprintf('Rajzold meg a transzformlt hromszget:\n');
    [P(1),P(2)] = ginput(1);
    plot(P(1),P(2),'o')
    [Q(1),Q(2)] = ginput(1);
    plot(Q(1),Q(2),'o')
    [R(1),R(2)] = ginput(1);
    plot(R(1),R(2),'o')
    
    
    line([P(1) Q(1)],[P(2) Q(2)],[1 1],'Marker','.','LineStyle','-')
    line([R(1) Q(1)],[R(2) Q(2)],[1 1],'Marker','.','LineStyle','-')
    line([R(1) P(1)],[R(2) P(2)],[1 1],'Marker','.','LineStyle','-')
    
end

p = [p 1];
q = [q 1];
r = [r 1];

P = [P 1];
Q = [Q 1];
R = [R 1];

mtx = [p', q', r']/[P', Q', R']
end

