function gaussel3(A)
% Gauss-Jordan-elimináció föelemkiválasztás nélkül

sA=size(A);
disp(sA);
%sb=size(b);
%if sA(1) ~= sA(2) | sA(1) ~= sb(1) | sb(2) ~= 1
%    disp('Rossz dimenziók!')
%    abort
%end
n=sA(1);
Y=eye(n);
A=[A,Y];
printf('0. lépés:\n');
disp(A)
for k=1:n,
    for i=1:n,
        if A(k,k)==0,
            disp('Nem hajtható végre az elimináció, föelem=0')
            abort
        end
        if i~=k,
            l=A(i,k)/A(k,k);
            for j=k:n+3,
                A(i,j)=A(i,j)-l*A(k,j);
            end
        end
    end
    printf('A(z) %d. eliminációs lépés:\n',k);
    disp(A)
end
for i=1:n,
    A(i,n)=A(i,n)/A(i,i);
    A(i,i)=1;
end
disp('megoldás:')
disp(A)
endfunction