function x = jacobi2(A, b)
    %Bemenet: A egyenletrendszer mtrixa, b jobboldal-vektor.
    %Kezdvektor a nullvektor.
    %Kimenet: x megoldsvektor. 
    n=size(A,1);
    x0=zeros(1,n);
    k_max=1000; % max. iterciszm
    erp=0.0001; % konvergenciavezrl-paramter
    q=diag(diag(A));
    % Itercik
    for k=1:k_max
        for i=1:n
            s=0.0;
            for j=1:n
                if j==i
                    continue
                else
                    s=s+A(i,j)*x0(j);
                end
            end
            x1(i)=(b(i)-s)/A(i,i);
        end
        if norm(x1-x0)<erp
            break
        else
            x0=x1;
        end
    end
    % megolds
    x=x1;
    disp(x);
    % iterciszm
    n_iteration=k;
    disp('Itercik szma:')
    disp(n_iteration);
end